Bug 626605 - Review Request: perl-MIME-Base32 - Encode data similar way like MIME::Base64 does
Review Request: perl-MIME-Base32 - Encode data similar way like MIME::Base64 ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Wes Hardaker
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-23 18:52 EDT by Paul Wouters
Modified: 2015-05-01 09:46 EDT (History)
4 users (show)

See Also:
Fixed In Version: perl-MIME-Base32-1.02a-1.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-23 00:58:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wjhns174: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paul Wouters 2010-08-23 18:52:48 EDT
Spec URL: ftp://ftp.xelerance.com/perl-MIME-Base32/perl-MIME-Base32.spec
SRPM URL: ftp://ftp.openswan.org/perl-MIME-Base32/perl-MIME-Base32-1.01-1.fc12.src.rpm
Description: Encode data similar way like MIME::Base64 does. This package is a requirement for perl-Net-DNS-SEC version 0.15

Based on cpanspec
rpmlint output:

rpmlint SRPMS/perl-MIME-Base32-1.01-1.fc12.src.rpm RPMS/noarch/perl-MIME-Base32-1.01-1.fc12.noarch.rpm 
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Wes Hardaker 2010-08-24 17:15:26 EDT
Built the src-rpm on an f13 box and installed without issues.
Comment 2 Wes Hardaker 2010-08-24 17:31:07 EDT
I'd suggest a better description that doesn't require you to read the other package description.  And includes both encoding and decoding.
Comment 3 Paul Wouters 2010-08-24 17:48:12 EDT
I (and cpanspec) just took everything verbatim from the cpan text.
Comment 4 Wes Hardaker 2010-08-24 17:49:25 EDT
Ok, but there is another problem now:

     + [ ] MUST: The License field in the package spec file must match
	   the actual license. 
	   + FAIL: no license is in any of the source files
Comment 5 Wes Hardaker 2010-08-24 17:51:27 EDT
(it's possible to get a statement from the author specifying the license is as expected for perl, but it'd be better to get them to push a new release through pause with a fix)
Comment 6 Wes Hardaker 2010-08-24 17:59:39 EDT
The complete review.  The only show stopper I see is the licensing issue.

* Review of -1
*** MUSTs
     + [X] MUST: rpmlint must be run on every package. The output should
	   be posted in the review.
     + [X] MUST: The package must be named according to
	   the [[http://fedoraproject.org/wiki/Packaging/NamingGuidelines][Package Naming Guidelines]].
     + [X] MUST: The spec file name must match the base package %{name},
	   in the format %{name}.spec unless your package has an
	   exemption.
     + [X] MUST: The package must meet the [[http://fedoraproject.org/wiki/Packaging/Guidelines][Packaging Guidelines]] .
     + [X] MUST: The package must be licensed with a Fedora approved
	   license and meet the [[http://fedoraproject.org/wiki/Packaging/LicensingGuidelines][Licensing Guidelines]] .
     + [ ] MUST: The License field in the package spec file must match
	   the actual license. 
	   + FAIL: no license is in any of the source files
     + [ ] MUST: If (and only if) the source package includes the text
	   of the license(s) in its own file, then that file, containing the
	   text of the license(s) for the package must be included in
	   %doc.
     + [X] MUST: The spec file must be written in American English. 
     + [X] MUST: The spec file for the package MUST be legible. 
     + [X] MUST: The sources used to build the package must match the
	   upstream source, as provided in the spec URL. Reviewers should
	   use md5sum for this task. If no upstream URL can be specified for
	   this package, please see the [[http://fedoraproject.org/wiki/Packaging/SourceURL][Source URL Guidelines]] for how to
	   deal with this.
     + [X] MUST: The package MUST successfully compile and build into
	   binary rpms on at least one primary architecture. 
	   + built and installed locally (and used in production) on f13
     + [X] MUST: If the package does not successfully compile, build or
	   work on an architecture, then those architectures should be
	   listed in the spec in ExcludeArch. Each architecture listed in
	   ExcludeArch MUST have a bug filed in bugzilla, describing the
	   reason that the package does not compile/build/work on that
	   architecture. The bug number MUST be placed in a comment, next to
	   the corresponding ExcludeArch line. 
     + [X] MUST: All build dependencies must be listed in BuildRequires,
	   except for any that are listed in the [[http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2][exceptions section]] of the
	   Packaging Guidelines ; inclusion of those as BuildRequires is
	   optional. Apply common sense.
     + [X] MUST: The spec file MUST handle locales properly. This is
	   done by using the %find_lang macro. Using %{_datadir}/locale/* is
	   strictly forbidden.
     + [X] MUST: Every binary RPM package (or subpackage) which stores
	   shared library files (not just symlinks) in any of the dynamic
	   linker's default paths, must call ldconfig in %post and
	   %postun. 
     + [X] MUST: Packages must NOT bundle copies of system
	   libraries.
     + [X] MUST: If the package is designed to be relocatable, the
	   packager must state this fact in the request for review, along
	   with the rationalization for relocation of that specific
	   package. Without this, use of Prefix: /usr is considered a
	   blocker. 
     + [X] MUST: A package must own all directories that it creates. If
	   it does not create a directory that it uses, then it should
	   require a package which does create that directory. 
     + [X] MUST: A Fedora package must not list a file more than once in
	   the spec file's %files listings. (Notable exception: license
	   texts in specific situations)
     + [X] MUST: Permissions on files must be set properly. Executables
	   should be set with executable permissions, for example. Every
	   %files section must include a %defattr(...) line. 
     + [X] MUST: Each package must consistently use macros. 
     + [X] MUST: The package must contain code, or permissable content. 
     + [X] MUST: Large documentation files must go in a -doc
	   subpackage. (The definition of large is left up to the packager's
	   best judgement, but is not restricted to size. Large can refer to
	   either size or quantity). 
     + [X] MUST: If a package includes something as %doc, it must not
	   affect the runtime of the application. To summarize: If it is in
	   %doc, the program must run properly if it is not present. 
     + [X] MUST: Header files must be in a -devel package. 
     + [X] MUST: Static libraries must be in a -static package. 
     + [ ] MUST: If a package contains library files with a suffix
	   (e.g. libfoo.so.1.1), then library files that end in .so (without
	   suffix) must go in a -devel package. 
     + [X] MUST: In the vast majority of cases, devel packages must
	   require the base package using a fully versioned dependency:
	   Requires: %{name} = %{version}-%{release} 
     + [X] MUST: Packages must NOT contain any .la libtool archives,
	   these must be removed in the spec if they are built.
     + [X] MUST: Packages containing GUI applications must include a
	   %{name}.desktop file, and that file must be properly installed
	   with desktop-file-install in the %install section. If you feel
	   that your packaged GUI application does not need a .desktop file,
	   you must put a comment in the spec file with your
	   explanation. 
     + [X] MUST: Packages must not own files or directories already
	   owned by other packages. The rule of thumb here is that the first
	   package to be installed should own the files or directories that
	   other packages may rely upon. This means, for example, that no
	   package in Fedora should ever share ownership with any of the
	   files or directories owned by the filesystem or man package. If
	   you feel that you have a good reason to own a file or directory
	   that another package owns, then please present that at package
	   review time. 
     + [X] MUST: All filenames in rpm packages must be valid UTF-8. 
*** SHOULDs
     + [ ] SHOULD: If the source package does not include license
	   text(s) as a separate file from upstream, the packager SHOULD
	   query upstream to include it. 
     + [X] SHOULD: The description and summary sections in the package
	   spec file should contain translations for supported Non-English
	   languages, if available. 
     + [ ] SHOULD: The reviewer should test that the package builds in
	   mock. 
	   + didn't do so, but I'm positive it'll be fine. -- WH
     + [X] SHOULD: The package should compile and build into binary
	   rpms on all supported architectures.
	   + tested minimal set
     + [X] SHOULD: The reviewer should test that the package functions
	   as described. A package should not segfault instead of running,
	   for example.
     + [X] SHOULD: If scriptlets are used, those scriptlets must be
	   sane. This is vague, and left up to the reviewers judgement to
	   determine sanity. 
     + [X] SHOULD: Usually, subpackages other than devel should
	   require the base package using a fully versioned
	   dependency. 
     + [X] SHOULD: The placement of pkgconfig(.pc) files depends on
	   their usecase, and this is usually for development purposes, so
	   should be placed in a -devel pkg. A reasonable exception is
	   that the main pkg itself is a devel tool not installed in a
	   user runtime, e.g. gcc or gdb. 
     + [X] SHOULD: If the package has file dependencies outside of
	   /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring
	   the package which provides the file instead of the file
	   itself. 
     + [X] SHOULD: your package should contain man pages for
	   binaries/scripts. If it doesn't, work with upstream to add them
	   where they make sense.
*** Comments
    + I'd suggest a better description that doesn't require you to
      read the other package description.  And includes both encoding
      and decoding.
      + (but the text came from the source package, and is thus fine)
Comment 7 Paul Wouters 2010-08-25 11:19:27 EDT
Author contacted....awaiting reply
Comment 8 Paul Wouters 2010-08-25 11:46:42 EDT
Date: Wed, 25 Aug 2010 17:12:05 +0200
From: Daniel Péder - www.infoset.cz <Daniel.Peder@Infoset.cz>
Cc: Daniel.Peder@infoset.com, Wes Hardaker <wes@hardakers.net>
To: Paul Wouters <paul@xelerance.com>
Subject: Re: MIME-Base32 license?

yes, I confirm that
Comment 9 Wes Hardaker 2010-08-25 19:20:30 EDT
That's good with me (and thinks for CC'ing me on the request to the author so I could verify the response).
Comment 10 Paul Wouters 2010-08-26 14:27:31 EDT
Daniel released 1.02a that includes the license. Updates spec and srpm:

Spec URL: ftp://ftp.xelerance.com/perl-MIME-Base32/perl-MIME-Base32.spec
SRPM URL:
ftp://ftp.openswan.org/perl-MIME-Base32/perl-MIME-Base32-1.01-1.fc12.src.rpm

Description: Encode and decode data in a similar way like MIME::Base64 does.
Comment 12 Wes Hardaker 2010-08-26 16:21:26 EDT
The review I approved was for the previous version and it's already marked as + so I don't think I need to review it again since you can consider it simply an upgrade from the initial approved copy.
Comment 13 Mark Chappell 2010-09-10 13:07:18 EDT
@ Paul:

Ping, perl-Net-DNS-SEC has turned up as a missing dep in a pushed package in EPEL is there a reason you've not asked for the repo?
Comment 14 Paul Wouters 2010-09-11 15:30:15 EDT
Mark: no - I've asked for a branch. But it would also this package for the latest version...

https://bugzilla.redhat.com/show_bug.cgi?id=237338
Comment 15 Paul Wouters 2010-09-11 15:33:52 EDT
Package Change Request
======================
Package Name: perl-MIME-Base32
New Branches: f14 f13 f12 el5 el6
Owners: pwouters
Comment 16 Paul Wouters 2010-09-11 16:03:21 EDT
New Package SCM Request
=======================
Package Name: perl-MIME-Base32
Short Description: Base32 encoder / decoder
Owners: pwouters
Branches: f14 f13 f12 el5 el6
InitialCC: pwouters
Comment 17 Kevin Fenzi 2010-09-11 16:09:11 EDT
Git done (by process-git-requests).
Comment 18 Fedora Update System 2010-09-11 17:31:28 EDT
perl-MIME-Base32-1.02a-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-MIME-Base32-1.02a-1.el5
Comment 19 Fedora Update System 2010-09-11 17:31:34 EDT
perl-MIME-Base32-1.02a-1.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/perl-MIME-Base32-1.02a-1.fc12
Comment 20 Fedora Update System 2010-09-11 17:31:39 EDT
perl-MIME-Base32-1.02a-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/perl-MIME-Base32-1.02a-1.fc13
Comment 21 Fedora Update System 2010-09-12 14:24:22 EDT
perl-MIME-Base32-1.02a-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-MIME-Base32'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/perl-MIME-Base32-1.02a-1.el5
Comment 22 Fedora Update System 2010-09-23 00:58:09 EDT
perl-MIME-Base32-1.02a-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2010-09-24 16:42:17 EDT
perl-MIME-Base32-1.02a-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2010-09-28 14:34:48 EDT
perl-MIME-Base32-1.02a-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 25 Paul Wouters 2015-05-01 09:10:22 EDT
Package Change Request
======================
Package Name: perl-MIME-Base32
New Branches: epel7
Owners: pwouters
Comment 26 Gwyn Ciesla 2015-05-01 09:46:59 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.